%global enable_doc 1
%global site org.nordugrid
%global nagios_bindir %{_libdir}/nagios/plugins
%global arcce_statedir %{_localstatedir}/spool/nagios/plugins/arcce
%{!?python_sitelib: %global python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')}

Name:		nordugrid-arc-nagios-plugins
Version:	1.5.0
Release:	1%{?dist}
Summary:	Nagios plugins for ARC 1

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.nordugrid.org
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: nordugrid-arc >= 1.0.0, nordugrid-arc-python >= 1.0.0
Requires: python-argparse, python-ldap, python-ply, nagios
# Recommended: nordugrid-arc-plugins-globus and globus storage implementations
%if %{?rhel}%{!?rhel:6} <= 5
Requires: python-elementtree
%endif
%if %{enable_doc}
%if %{?rhel}%{!?rhel:6} <= 5
BuildRequires: python-sphinx10
%else
BuildRequires: python-sphinx
%endif
%endif
%if %{?fedora}%{!?fedora:0} <= 12
BuildRequires: python-devel
%endif

%description
This package provides the Nagios plugins for testing ARC CE, using the ARC-1
API.

%if %{enable_doc}
%package doc
Summary: HTML documentation for ARC 1 Nagios plugins
Group: Documentation
%endif

%if %{enable_doc}
%description doc
HTML documentation for %{name}.
%endif

%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build
%if %{enable_doc}
mkdir -p doc/_build/html doc/_static
%if %{?rhel}%{!?rhel:6} <= 5
make -C doc html SPHINXBUILD=sphinx-1.0-build
%else
make -C doc html
%endif
rm -f doc/_build/html/.buildinfo
%endif

%install
test %{buildroot} != / && rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} --skip-build

install -m755 -d %{buildroot}%{_sysconfdir}/nagios/plugins
install -m755 -d %{buildroot}%{arcce_statedir}

%clean
test %{buildroot} != / && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nagios_bindir}/check_arcce
%{nagios_bindir}/check_arcinfosys
%{nagios_bindir}/check_archostcert
%{nagios_bindir}/check_arcservice
%{nagios_bindir}/check_gridstorage
%{python_sitelib}/arcnagios
# Not sure precisely which Fedora version the egg-info becomes relevant.
%if %{?rhel}%{!?rhel:0} >= 6 || %{?fedora}%{!?fedora:0} >= 9
%{python_sitelib}/nordugrid_arc_nagios_plugins-*.egg-info
%endif

%{_datadir}/%{name}/jobscripts/arcce_igtf.py
# Compiled version of remotely run script should not be included, but since
# they generated by RPM itself, they may to be easy to get rid of.
%{_datadir}/%{name}/jobscripts/arcce_igtf.py[co]

%attr(-,nagios,nagios) %{arcce_statedir}
%doc README.rst LICENSE
%doc doc/arcnagios.ini.example
%doc doc/services.cfg.example

%if %{enable_doc}
%files doc
%doc doc/_build/html
%endif

%changelog
* Mon Feb 18 2013 Petter Urkedal <urkedal@nbi.dk> - 1.5.0-1
- Updated to release 1.5.0.

* Fri Feb 01 2013 Petter Urkedal <urkedal@nbi.dk> - 1.5.0-0.rc3
- Updated to release candidate 1.5.0rc3.

* Mon Jan 28 2013 Petter Urkedal <urkedal@nbi.dk> - 1.5.0-0.rc2
- Updated to release candidate 1.5.0rc2.

* Fri Jan 11 2013 Petter Urkedal <urkedal@nbi.dk> - 1.5.0-0.rc1
- Updated to release candidate 1.5.0rc1.

* Thu Dec 20 2012 Petter Urkedal <urkedal@nbi.dk> - 1.4.0-0.rc4
- Updated to release candidate 1.4.0rc4.

* Tue Nov 27 2012 Petter Urkedal <urkedal@nbi.dk> - 1.4.0-0.rc1
- Updated to release candidate 1.4.0rc1.

* Mon Oct 29 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.11-1
- Updated to release 1.3.11.

* Wed Sep 26 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.10-1
- Updated to release 1.3.10.

* Fri Sep 07 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.9-1
- Updated to release 1.3.9.

* Mon Apr 23 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.8-1
- Updated to release 1.3.8.

* Tue Apr 03 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.7-1
- Updated to release 1.3.7.

* Mon Apr 02 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.6-1
- Updated to release 1.3.6.

* Thu Feb 02 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.5-1
- Updated to release 1.3.5.

* Thu Feb 02 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.4-1
- Updated to release 1.3.4.

* Thu Feb 02 2012 Petter Urkedal <urkedal@nbi.dk> - 1.3.3-1
- Updated to release 1.3.3.

* Wed Dec 21 2011 Petter Urkedal <urkedal@nbi.dk> - 1.3.2-1
- Updated to release 1.3.2.

* Mon Dec 19 2011 Petter Urkedal <urkedal@nbi.dk> - 1.3.1-1
- Updated to release 1.3.1.

* Thu Dec 08 2011 Petter Urkedal <urkedal@nbi.dk> - 1.3.0-1
- Updated to release 1.3.0.

* Wed Nov 23 2011 Petter Urkedal <urkedal@nbi.dk> - 1.2.0-1
- Updated to release 1.2.0.

* Mon Nov 14 2011 Petter Urkedal <urkedal@nbi.dk>
- Change README to README.rst.
- Add documentation subpackage.

* Fri Nov 04 2011 Petter Urkedal <urkedal@nbi.dk> - 1.1.0-1
- Updated to release 1.1.0.

* Tue Nov 03 2011 Petter Urkedal <urkedal@nbi.dk>
- Install default configuration file.

* Wed Oct 26 2011 Petter Urkedal <urkedal@nbi.dk> - 1.0.2-1
- Updated to release 1.0.2.

* Thu Oct 20 2011 Petter Urkedal <urkedal@nbi.dk> - 1.0.1-1
- Updated to release 1.0.1.

* Tue Oct 18 2011 Petter Urkedal <urkedal@nbi.dk>
- Add argparse and nordugrid-arc-python dependencies.
- Install README and LICENSE.

* Fri Oct 14 2011 Petter Urkedal <urkedal@nbi.dk> - 1.0-1
- Updated to release 1.0.
- Almost complete rewrite for the new probes.

* Fri Sep 30 2011 Anders Waananen <waananen@nbi.dk> - 0.9-1
- New package name and ownership

* Thu Jun 30 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.4-1
- Fix flags to stat

* Thu Nov 18 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3-1
- Implement changes proposed by Emir

* Mon Oct 11 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2-1
- Remove Requires (per WLCG practice)

* Thu Sep 23 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.1-1
- Initial packaging
